Project

General

Profile

Actions

Bug #6665

closed

Upgrading packages when pfSense upgrade is available breaks package manager

Added by Kill Bill over 5 years ago. Updated over 5 years ago.

Status:
Resolved
Priority:
Normal
Assignee:
-
Category:
Package System
Target version:
Start date:
07/30/2016
Due date:
% Done:

100%

Estimated time:
Plus Target Version:
Release Notes:
Affected Version:
2.3.x
Affected Architecture:
All

Description

As described here: https://forum.pfsense.org/index.php?topic=116026.0 - when you upgrade some package before upgrading pfSense, pkg gets upgraded first - and things get badly screwed, rendering the GUI package manager unusable.

While this gets fixed eventually after you upgrade the OS, this certainly is not desirable either way - people may have valid reason to not upgrade the base OS just yet; plus such issue should not happen in the first place.

Actions

Also available in: Atom PDF